//varying vec2 		t0,t1,t2,t3,t4,t5,t6,t7;
uniform sampler2D 	tex;
varying vec2 		texcoord;
uniform float		ofs;

float lum(vec3 color)
{
	return dot(color,vec3(0.27, 0.67, 0.06));	
}

void main()
{
	float lum0=lum(texture2D(tex, texcoord).rgb);
	gl_FragColor.x = lum0;
}
